6

I've updated my app and due to some of the functions I'm releasing it has to be for iOS 10 and up. I understand that there is a way for users that have not upgraded to iOS 10 to be able to get the older version of my app but I haven't been able to figure out how to enable that in the app store. I just tested on a device and currently if you have iOS 9 it will tell you that you can't get the app because it is only supported on iOS 10. No option to download the previous version.

According to the redit article below Apple enabled the behavior I want. I just don't know how to turn it on for my app.

https://www.reddit.com/r/apple/comments/1mjw36/people_with_old_ios_devices_you_can_now_install/

8

The feature has been around for a number of years. It's enabled for every app by default and an opt-out for developers per app version. You can remove an older app version from download through iTunes Connect → My Apps → app → App Store → Pricing & Availability → Last-Compatible Version Settings → Available Versions.

The key information as to why you are seeing the feature not working is mentioned in this page:

Some of your customers may not have a device that's compatible with your latest app version. To allow them to continue using your app, we make the last-compatible version of your app available to them.

If one or more of your app versions have significant usability or legal issues, such as infringement, deselect it below. This isn't recommended for any other reason. Any version you deselect won't be available for redownload from iTunes in the Cloud. You can't deselect your current App Store version.

iTunes Connect Last-Compatible Version Settings, emphasis mine

Downloading a previous version of an app requires the app be downloaded from iTunes in the Cloud, i.e. the app must be in the user's purchase history. This means it does not apply to new downloads, but rather re-downloads.

For a user to download an app which requires a later version of iOS, they must first either:

  • purchase/get the app on a compatible device
  • purchase/get the app in iTunes

This adds the app to the user's purchase history and is now eligible for last-compatible version download through the feature popup as you mention.

sample:

enter image description here

  • Would this remove the version also from the AppStore's Version History? – motto Sep 3 at 15:31
-2

Because you indicated in iTC that your app supports iOS 10 at a minimum, users will only be able to download that version from the App Store.

You will need to change your app to support earlier iOS versions in order for users to have access to the previous version. By making the app decisions you did, users not on iOS 10 will not be able to use your latest update.

Users on earlier iOS versions must prevent your app from being updated from the current version on their iDevice in order to keep that version working.

  • I just updated my question with a link to an article that says it is possible. I just don't know how to enable it. – Saviz Sep 23 '16 at 13:53
  • The article you linked to indicates there's no way for a developer to enable this feature. Also, that article is 3 years old. I have released apps on iTC and there's no way to enable this. So, it looks like you already have your answer in that link and Apple hasn't made any changes to the process. – fsb Sep 23 '16 at 13:59

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .